#!/usr/bin/env bash
for i in {1..50}; do
  IS_OVERVIEW=$(dbus-send --print-reply=literal --session \
    --dest=org.gnome.Shell --type=method_call /org/gnome/Shell \
    org.freedesktop.DBus.Properties.Get string:org.gnome.Shell string:OverviewActive | awk '{print $3}')
  if [[ "$IS_OVERVIEW" == "true" ]]; then
    dbus-send --session --dest=org.gnome.Shell --type=method_call \
      /org/gnome/Shell org.freedesktop.DBus.Properties.Set \
      string:org.gnome.Shell string:OverviewActive variant:boolean:false
    exit
  fi
  sleep 0.1
done
